[arch-commits] Commit in texlive-bin/trunk (PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Fri Aug 20 08:59:38 EDT 2010


    Date: Friday, August 20, 2010 @ 08:59:38
  Author: remy
Revision: 88169

Move luatex installation to package()

Modified:
  texlive-bin/trunk/PKGBUILD

----------+
 PKGBUILD |   13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-20 12:59:23 UTC (rev 88168)
+++ PKGBUILD	2010-08-20 12:59:38 UTC (rev 88169)
@@ -79,12 +79,6 @@
    make -C texk/kpathsea
    make -C texk/web2c luatex
 
-   ## install luatex binary
-   install -d -m755 $pkgdir/usr/bin
-   install -m755 texk/web2c/luatex $pkgdir/usr/bin/
-   cd $pkgdir/usr/bin
-   /bin/ln -s luatex texlua
-
    cd "$srcdir"
 
    #############################################################
@@ -214,7 +208,7 @@
    make prefix=$srcdir/inst/usr texmf=$pkgdir/usr/share/texmf install || return 1
 
    # restore install location of bin/lib/include
-   mv -f $srcdir/inst/usr/bin/* $pkgdir/usr/bin/ || return 1
+   mv -f $srcdir/inst/usr/bin $pkgdir/usr/bin || return 1
    mv -f $srcdir/inst/usr/lib $pkgdir/usr/lib || return 1
    mv -f $srcdir/inst/usr/include $pkgdir/usr/include || return 1
    # add symlinks to manpages since they are not included in the original texmf tree
@@ -223,6 +217,11 @@
      test -f $pkgdir/usr/share/man/man1/$bm || mv -f $m $pkgdir/usr/share/man/man1/
    done
 
+   ## install luatex binary
+   install -m755 $srcdir/luatex-beta-0.61.0/build/texk/web2c/luatex $pkgdir/usr/bin/
+   cd $pkgdir/usr/bin
+   /bin/ln -s luatex texlua
+
    # symlinks in $pkgdir/usr/bin are incorrect
    echo "--> Fixing symlinks for scripts ..."
    for f in $pkgdir/usr/bin/* ; do



More information about the arch-commits mailing list